// The background script changes the currently active tab to a tab that is preset in the options by matching the URL

console.log ("onloadfunction started");

// because the extension is loaded as inactive, as workaround an additional log is added as event listener.
// if the extension is disabled and reenabled, then the extension starts and keeps working, but the goal is to start the worker on browser start.
// taken from 
// https://stackoverflow.com/questions/71724980/chrome-extension-always-show-service-worker-inactive-after-browser-restart-if

chrome.runtime.onStartup.addListener( () => {
    console.log(`from listener`);
});



//check fthe opened tabs every second (1000ms, but can be changed)
var partialMatch="";
loaded();
async function loaded(){
    partialMatch= await chrome.storage.sync.get("matchVariable");
    partialMatch= partialMatch.matchVariable;

}



setInterval(timed_check,1000);
async function timed_check() {
    // only first match gets focused
    var matchFound=0;
    temp_tablist=await chrome.tabs.query({});
//    console.log(temp_tablist);
    temp_tablist.forEach(tab => {
//        console.log(tab.url);
        if (tab.url.indexOf(partialMatch)>1 && matchFound==0) {
            console.log("found partialmatch");
            matchFound=1;
            chrome.tabs.update(tab.id,{"active":true});
        } else {
//            console.log("nothing found");
        }


    })

};

